﻿using System;

namespace VendingMachine
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("iNetTutor.com - Vending Machine");

            // Display menu
            Console.WriteLine("\nMenu:");
            Console.WriteLine("1. Snickers - $1.50");
            Console.WriteLine("2. Coke - $1.00");
            Console.WriteLine("3. Chips - $0.75");

            // Prompt user for selection
            Console.Write("\nEnter your selection code (1-3): ");
            int selectionCode = int.Parse(Console.ReadLine());

            // Initialize variables
            string itemName = "";
            double itemPrice = 0.0;

            // Use switch statement to determine chosen item
            switch (selectionCode)
            {
                case 1:
                    itemName = "Snickers";
                    itemPrice = 1.50;
                    break;
                case 2:
                    itemName = "Coke";
                    itemPrice = 1.00;
                    break;
                case 3:
                    itemName = "Chips";
                    itemPrice = 0.75;
                    break;
                default:
                    Console.WriteLine("Invalid selection. Please try again.");
                    break;
            }

            // Display result
            if (itemPrice > 0.0)
            {
                Console.WriteLine($"You selected: {itemName}");
                Console.WriteLine($"Cost: ${itemPrice:F2}");
                Console.WriteLine("Dispensing... Enjoy!");
            }

            Console.ReadLine();
        }
    }
}
